Package: org.codehaus.groovy.runtime.powerassert

## [Java] Class PowerAssertionError

- org.codehaus.groovy.runtime.powerassert.PowerAssertionError

- Indicates that a power assertion has failed.

  Authors:
    Peter Niederwieser

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PowerAssertionError (String msg)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AssertionError` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Error` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public PowerAssertionError(String msg)

  - ### Method Detail

    - #### @Override public String toString()